# Uses of Enum
org.mariadb.jdbc.internal.util.constant.HaMode

Packages that use HaMode
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.util.constant
org.mariadb.jdbc.util

## Uses of HaMode in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return HaMode
Modifier and Type
Method
Description
`HaMode`
UrlParser.`getHaMode()`
Methods in org.mariadb.jdbc with parameters of type HaMode
Modifier and Type
Method
Description
`static List<HostAddress>`
HostAddress.`parse(String spec, HaMode haMode)`
parse - parse server addresses from the URL fragment.
Constructors in org.mariadb.jdbc with parameters of type HaMode
Modifier
Constructor
Description
``
`UrlParser(String database, List<HostAddress> addresses, Options options, HaMode haMode)`
Constructor.

## Uses of HaMode in org.mariadb.jdbc.internal.util.constant

Subclasses with type arguments of type HaMode in org.mariadb.jdbc.internal.util.constant
Modifier and Type
Class
Description
`enum`
`HaMode`
Methods in org.mariadb.jdbc.internal.util.constant that return HaMode
Modifier and Type
Method
Description
`static HaMode`
HaMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HaMode[]`
HaMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of HaMode in org.mariadb.jdbc.util

Methods in org.mariadb.jdbc.util with parameters of type HaMode
Modifier and Type
Method
Description
`static Options`
DefaultOptions.`defaultValues(HaMode haMode)`
`static Options`
DefaultOptions.`defaultValues(HaMode haMode, boolean pool)`
Generate an Options object with default value corresponding to High Availability mode.
`static Options`
DefaultOptions.`parse(HaMode haMode, String urlParameters, Properties properties, Options options)`
Parse additional properties .
`static void`
DefaultOptions.`parse(HaMode haMode, String urlParameters, Options options)`
Parse additional properties.
`static void`
DefaultOptions.`propertyString(Options options, HaMode haMode, StringBuilder sb)`
Generate parameter String equivalent to options.